LAST(1)

NAZWA
last, lastb - pokazuje listę ostatnio zalogowanych użytkowników

SKŁADNIA

last [opcje] [nazwa-użytkownika...] [tty...]

lastb [opcje] [nazwa-użytkownika...] [tty...]

OPIS

Program last przeszukuje wstecz plik /var/log/wtmp (lub plik wskazany opcją -f) i wyświetla listę wszystkich zalogowanych (i wylogowanych) od czasu utworzenia pliku użytkowników. Można podać jedną lub więcej nazw-użytkowników i/lub tty (terminali); w tym przypadku last pokaże jedynie zapisy pasujące do tych argumentów. Nazwy tty mogą być skracane, zatem last 0, to to samo, co last tty0.

Po przechwyceniu sygnału SIGINT (generowany przez klawisz przerwania, zwykle control-C) lub sygnał SIGQUIT, last pokaże jak daleko przeszukał plik; następnie, w przypadku sygnału SIGINT, last przerwie pracę.

Pseudoużytkownik reboot rejestrowany jest przy każdorazowym przeładowaniu systemu. Zatem last reboot pokaże rejestr (log) wszystkich przeładowań od utworzenia pliku rejestrującego.

Lastb jest tym samym, co last, z wyjątkiem tego, że domyślnie pokazuje zapisy z pliku /var/log/btmp, zawierającego zakończone niepowodzeniem próby logowań.

OPCJE

-a, --hostlast
    Wyświetla nazwę hosta w ostatniej kolumnie. Przydatne w połączeniu z opcją --dns.

-d, --dns
    Dla logowań nie-lokalnych Linux przechowuje nie tylko nazwę zdalnego hosta, ale i jego numer IP. Opcja ta przekłada numer IP z powrotem na nazwę hosta.

-f, --file plik
    last użyje podanego pliku zamiast /var/log/wtmp. Opcję --file można podać wiele razy i przetworzone będą wszystkie podane pliki.

-F, --fulltimes
    Wypisuje pełne czasy zalogowania i wylogowania łącznie z datą.

-i, --ip
    Jak --dns, lecz wyświetla numer IP zamiast nazwy komputera.

-liczba; -n, --limit liczba
    Liczba mówiąca last, ile wierszy ma pokazać.

-p, --present czas
    Wyświetla użytkowników którzy byli obecni w podanym czasie. Jest to podobne do użycia razem opcji --since i --until z takim samym czasem.

-R, --nohostname
    Nie wyświetla pola z nazwą hosta.

-s, --since czas
    Wyświetla stań logowań w podanym czasie. Jest to przydatne np. aby łatwo dowiedzieć się kto logował się w danym czasie. Opcja jest często łączona z --until.

-t, --until czas
    Wyświetla stan logowań do podanego czasu.

--time-format format
    Określa format wyjściowy znaczników czasu na jeden z: notime, short, full lub iso. Wariant notime nie wypisze żadnych znacznikóœ czasu, short jest domyślny, a full jest tym samym. co opcja --fulltimes. Wariant iso wypisze znaczniki czasu w formacie ISO-8601. Format ISO zawiera informacje o strefie czasowej, co czyni go preferowanym, gdy wynik jest sprawdzany poza pierwotnym komputerem.

-w, --fullnames
    Wyświetla pełne nazwy użytkowników i domeny użytkowników na wyjście.

-x, --system
    Wyświetla zapisy o zamknięciach systemu i zmianach jego poziomów pracy.

FORMAT CZASU

Opcje przyjmujące argument czas mogą korzystać z następujących formatów:
RRRRMMDDggmmss |
RRRR-MM-DD gg:mm:ss |
RRRR-MM-DD gg:mm | (sekundy będą ustawione na 00)
RRRR-MM-DD | (czas będzie ustawiony na 00:00:00)
gg:mm:ss | (data będzie ustawiona na dziś)
gg:mm | (data będzie ustawiona na dziś, sekundy na 00)
now (teraz) |
yesterday (wczoraj) | (czas jest ustawiany na 00:00:00)
today (dziś) | (czas jest ustawiany na 00:00:00)
tomorrow (jutro) | (czas jest ustawiany na 00:00:00)
+5min (za 5 minut) |
-5days (5 dni temu) |

PLIKI

/var/log/wtmp, /var/log/btmp

UWAGI

Mogą nie zostać odnalezione pliki wtmp i btmp. System rejestruje informacje w tych plikach tylko wtedy, gdy istnieją. Wynika to z lokalnej konfiguracji. Aby były one używane, można je utworzyć po prostu poleceniem touch(1) (na przykład, touch /var/log/wtmp).

AUTORZY

ZOBACZ TAKŻE

login(1), wtmp(5), init(8), shutdown(8)

ZGŁASZANIE BŁĘDÓW

Raporty o błędach proszę zgłaszać pod adresem

DOSTĘPNOŚĆ

The last command is part of the util-linux package which can be downloaded from

T◈UMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Wojtek Kotwica <wkotwica@post.pl>, Michał Kułach <michal.kulach@gmail.com> i Robert Luberda <robert@debian.org>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.